using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using C4IT.FASD.Base;
using C4IT.MultiLanguage;

namespace FasdDesktopUi.Pages.RawHealthCardValuesPage
{
    public partial class RawHealthCardValuesPage : Window
    {
        private enumDataHistoryOrigin originFilter = enumDataHistoryOrigin.Unknown;

        public RawHealthCardValuesPage()
        {
            InitializeComponent();
        }

        private void CloseButton_Click(object sender, InputEventArgs e)
        {
            Close();
        }

        private void MinimizeButton_Click(object sender, InputEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void WindowSizeButton_Click(object sender, InputEventArgs e)
        {
            this.WindowState = this.WindowState == WindowState.Maximized ? WindowState.Normal : WindowState.Maximized;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            OriginFilterComboBox.Items.Clear();
            foreach (enumDataHistoryOrigin origin in Enum.GetValues(typeof(enumDataHistoryOrigin)))
            {
                string  _name = cMultiLanguageSupport.GetItem("Global.Enumeration.DataHistoryOrigin." + origin.ToString());
                if (string.IsNullOrEmpty(_name))
                    _name = origin.ToString();
                OriginFilterComboBox.Items.Add(new ComboBoxItem() { Content = _name, Tag = origin});
            }
            OriginFilterComboBox.SelectedIndex = 0;

        }

        private void OriginFilterComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (OriginFilterComboBox.SelectedItem is ComboBoxItem selectedItem && selectedItem.Tag is enumDataHistoryOrigin selectedOrigin)
                originFilter = selectedOrigin;
        }
    }
}
